<div
  class='d-none map-layer-vector'
  {{did-insert this.setup}}
  {{did-update this.setup @map}}
>
  {{#if (and this.vectorLayer this.vectorSource)}}
    {{yield this.vectorLayer this.vectorSource}}
  {{/if}}
</div>